Index: NEMO/branches/2020/r12377_ticket2386/src/OCE/ASM/asminc.F90
===================================================================
--- NEMO/branches/2020/r12377_ticket2386/src/OCE/ASM/asminc.F90	(revision 12451)
+++ NEMO/branches/2020/r12377_ticket2386/src/OCE/ASM/asminc.F90	(revision 12511)
@@ -487,5 +487,5 @@
       ENDIF
       !
-      IF(lwp) WRITE(numout,*) '   ==>>>   Euler time step switch is ', neuler
+      IF(lwp) WRITE(numout,*) '   ==>>>   Euler time step switch is ', l_1st_euler
       !
       IF( lk_asminc ) THEN                            !==  data assimilation  ==!
@@ -534,5 +534,5 @@
             !
             it = kt - nit000 + 1
-            zincwgt = wgtiau(it) / rdt   ! IAU weight for the current time step
+            zincwgt = wgtiau(it) / rn_Dt   ! IAU weight for the current time step
             !
             IF(lwp) THEN
@@ -577,5 +577,5 @@
          IF ( kt == nitdin_r ) THEN
             !
-            neuler = 0  ! Force Euler forward step
+            l_1st_euler = .TRUE.  ! Force Euler forward step
             !
             ! Initialize the now fields with the background + increment
@@ -651,5 +651,5 @@
             !
             it = kt - nit000 + 1
-            zincwgt = wgtiau(it) / rdt   ! IAU weight for the current time step
+            zincwgt = wgtiau(it) / rn_Dt   ! IAU weight for the current time step
             !
             IF(lwp) THEN
@@ -677,5 +677,5 @@
          IF ( kt == nitdin_r ) THEN
             !
-            neuler = 0                    ! Force Euler forward step
+            l_1st_euler = .TRUE.                    ! Force Euler forward step
             !
             ! Initialize the now fields with the background + increment
@@ -722,5 +722,5 @@
             !
             it = kt - nit000 + 1
-            zincwgt = wgtiau(it) / rdt   ! IAU weight for the current time step
+            zincwgt = wgtiau(it) / rn_Dt   ! IAU weight for the current time step
             !
             IF(lwp) THEN
@@ -753,5 +753,5 @@
          IF ( kt == nitdin_r ) THEN
             !
-            neuler = 0                                   ! Force Euler forward step
+            l_1st_euler = .TRUE.                            ! Force Euler forward step
             !
             ssh(:,:,Kmm) = ssh_bkg(:,:) + ssh_bkginc(:,:)   ! Initialize the now fields the background + increment
@@ -841,5 +841,5 @@
             it = kt - nit000 + 1
             zincwgt = wgtiau(it)      ! IAU weight for the current time step 
-            ! note this is not a tendency so should not be divided by rdt (as with the tracer and other increments)
+            ! note this is not a tendency so should not be divided by rn_Dt (as with the tracer and other increments)
             !
             IF(lwp) THEN
@@ -876,5 +876,5 @@
 #if defined key_cice && defined key_asminc
             ! Sea-ice : CICE case. Pass ice increment tendency into CICE
-            ndaice_da(:,:) = seaice_bkginc(:,:) * zincwgt / rdt
+            ndaice_da(:,:) = seaice_bkginc(:,:) * zincwgt / rn_Dt
 #endif
             !
@@ -896,5 +896,5 @@
          IF ( kt == nitdin_r ) THEN
             !
-            neuler = 0                    ! Force Euler forward step
+            l_1st_euler = 0              ! Force Euler forward step
             !
             ! Sea-ice : SI3 case
@@ -926,5 +926,5 @@
 #if defined key_cice && defined key_asminc
             ! Sea-ice : CICE case. Pass ice increment tendency into CICE
-           ndaice_da(:,:) = seaice_bkginc(:,:) / rdt
+           ndaice_da(:,:) = seaice_bkginc(:,:) / rn_Dt
 #endif
             IF ( .NOT. PRESENT(kindic) ) THEN
@@ -959,5 +959,5 @@
 !           ! fwf : ice formation and melting
 !
-!                 zfons = ( -nfresh_da(ji,jj)*soce + nfsalt_da(ji,jj) )*rdt
+!                 zfons = ( -nfresh_da(ji,jj)*soce + nfsalt_da(ji,jj) )*rn_Dt
 !
 !           ! change salinity down to mixed layer depth
@@ -1000,5 +1000,5 @@
 !
 !      !            !  salt exchanges at the ice/ocean interface
-!      !            zpmess         = zfons / rdt_ice    ! rdt_ice is ice timestep
+!      !            zpmess         = zfons / rDt_ice    ! rDt_ice is ice timestep
 !      !
 !      !! Adjust fsalt. A +ve fsalt means adding salt to ocean
